> ## Documentation Index
> Fetch the complete documentation index at: https://docs.oktolabs.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Move Card

> Move a card to a different column/position.



## OpenAPI

````yaml /openapi.json post /api/v1/cards/{card_id}/move
openapi: 3.1.0
info:
  description: >-
    Okto Pulse REST API schema generated from okto-pulse-core 0.2.0 source for
    docs.oktolabs.ai.
  title: Okto Pulse
  version: 0.2.0
servers: []
security: []
paths:
  /api/v1/cards/{card_id}/move:
    post:
      tags:
        - cards
      summary: Move Card
      description: Move a card to a different column/position.
      operationId: move_card_api_v1_cards__card_id__move_post
      parameters:
        - in: path
          name: card_id
          required: true
          schema:
            title: Card Id
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CardMove'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CardResponse'
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - HTTPBearer: []
components:
  schemas:
    CardMove:
      description: Schema for moving a card between columns.
      properties:
        completeness:
          anyOf:
            - type: integer
            - type: 'null'
          title: Completeness
        completeness_justification:
          anyOf:
            - type: string
            - type: 'null'
          title: Completeness Justification
        conclusion:
          anyOf:
            - type: string
            - type: 'null'
          title: Conclusion
        drift:
          anyOf:
            - type: integer
            - type: 'null'
          title: Drift
        drift_justification:
          anyOf:
            - type: string
            - type: 'null'
          title: Drift Justification
        position:
          anyOf:
            - type: integer
            - type: 'null'
          title: Position
        status:
          $ref: '#/components/schemas/CardStatus'
      required:
        - status
      title: CardMove
      type: object
    CardResponse:
      description: Schema for card response.
      properties:
        action_plan:
          anyOf:
            - type: string
            - type: 'null'
          title: Action Plan
        architecture_designs:
          default: []
          items:
            $ref: '#/components/schemas/ArchitectureDesignSummary'
          title: Architecture Designs
          type: array
        archived:
          default: false
          title: Archived
          type: boolean
        assignee_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Assignee Id
        attachments:
          default: []
          items:
            $ref: '#/components/schemas/AttachmentResponse'
          title: Attachments
          type: array
        board_id:
          title: Board Id
          type: string
        card_type:
          default: normal
          title: Card Type
          type: string
        comments:
          default: []
          items:
            $ref: '#/components/schemas/CommentResponse'
          title: Comments
          type: array
        conclusions:
          anyOf:
            - items:
                $ref: '#/components/schemas/ConclusionEntry'
              type: array
            - type: 'null'
          title: Conclusions
        created_at:
          format: date-time
          title: Created At
          type: string
        created_by:
          title: Created By
          type: string
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        details:
          anyOf:
            - type: string
            - type: 'null'
          title: Details
        due_date:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Due Date
        expected_behavior:
          anyOf:
            - type: string
            - type: 'null'
          title: Expected Behavior
        id:
          title: Id
          type: string
        knowledge_bases:
          anyOf:
            - items:
                additionalProperties: true
                type: object
              type: array
            - type: 'null'
          title: Knowledge Bases
        labels:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Labels
        linked_test_task_ids:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Linked Test Task Ids
        observed_behavior:
          anyOf:
            - type: string
            - type: 'null'
          title: Observed Behavior
        origin_task_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Origin Task Id
        position:
          title: Position
          type: integer
        pre_archive_status:
          anyOf:
            - type: string
            - type: 'null'
          title: Pre Archive Status
        priority:
          $ref: '#/components/schemas/CardPriority'
        qa_items:
          default: []
          items:
            $ref: '#/components/schemas/QAResponse'
          title: Qa Items
          type: array
        screen_mockups:
          anyOf:
            - items:
                $ref: '#/components/schemas/ScreenMockup'
              type: array
            - type: 'null'
          title: Screen Mockups
        severity:
          anyOf:
            - type: string
            - type: 'null'
          title: Severity
        spec_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Spec Id
        sprint_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Sprint Id
        status:
          $ref: '#/components/schemas/CardStatus'
        steps_to_reproduce:
          anyOf:
            - type: string
            - type: 'null'
          title: Steps To Reproduce
        test_scenario_ids:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Test Scenario Ids
        title:
          title: Title
          type: string
        updated_at:
          format: date-time
          title: Updated At
          type: string
        validations:
          anyOf:
            - items:
                additionalProperties: true
                type: object
              type: array
            - type: 'null'
          title: Validations
      required:
        - id
        - board_id
        - title
        - description
        - details
        - status
        - priority
        - position
        - assignee_id
        - created_by
        - created_at
        - updated_at
        - due_date
        - labels
      title: CardResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    CardStatus:
      description: Card status enum matching Kanban columns.
      enum:
        - not_started
        - started
        - in_progress
        - validation
        - on_hold
        - done
        - cancelled
      title: CardStatus
      type: string
    ArchitectureDesignSummary:
      description: Lightweight architecture design summary without heavy diagram payloads.
      properties:
        adapter_payload_refs:
          items:
            type: string
          title: Adapter Payload Refs
          type: array
        board_id:
          title: Board Id
          type: string
        breaking_change_flag:
          default: false
          title: Breaking Change Flag
          type: boolean
        created_at:
          format: date-time
          title: Created At
          type: string
        diagrams_count:
          default: 0
          title: Diagrams Count
          type: integer
        id:
          title: Id
          type: string
        parent_id:
          title: Parent Id
          type: string
        parent_type:
          enum:
            - ideation
            - refinement
            - spec
            - card
          title: Parent Type
          type: string
        requires_arch_review:
          default: false
          title: Requires Arch Review
          type: boolean
        source_ref:
          anyOf:
            - type: string
            - type: 'null'
          title: Source Ref
        source_version:
          anyOf:
            - type: integer
            - type: 'null'
          title: Source Version
        stale:
          default: false
          title: Stale
          type: boolean
        title:
          title: Title
          type: string
        updated_at:
          format: date-time
          title: Updated At
          type: string
        version:
          title: Version
          type: integer
      required:
        - id
        - board_id
        - parent_type
        - parent_id
        - title
        - version
        - created_at
        - updated_at
      title: ArchitectureDesignSummary
      type: object
    AttachmentResponse:
      description: Schema for attachment response.
      properties:
        card_id:
          title: Card Id
          type: string
        created_at:
          format: date-time
          title: Created At
          type: string
        filename:
          title: Filename
          type: string
        id:
          title: Id
          type: string
        mime_type:
          title: Mime Type
          type: string
        original_filename:
          title: Original Filename
          type: string
        size:
          title: Size
          type: integer
        uploaded_by:
          title: Uploaded By
          type: string
      required:
        - id
        - card_id
        - filename
        - original_filename
        - mime_type
        - size
        - uploaded_by
        - created_at
      title: AttachmentResponse
      type: object
    CommentResponse:
      description: Schema for comment response.
      properties:
        allow_free_text:
          default: false
          title: Allow Free Text
          type: boolean
        author_id:
          title: Author Id
          type: string
        card_id:
          title: Card Id
          type: string
        choices:
          anyOf:
            - items:
                $ref: '#/components/schemas/ChoiceOption'
              type: array
            - type: 'null'
          title: Choices
        comment_type:
          default: text
          title: Comment Type
          type: string
        content:
          title: Content
          type: string
        created_at:
          format: date-time
          title: Created At
          type: string
        id:
          title: Id
          type: string
        responses:
          anyOf:
            - items:
                $ref: '#/components/schemas/ChoiceResponse'
              type: array
            - type: 'null'
          title: Responses
        updated_at:
          format: date-time
          title: Updated At
          type: string
      required:
        - id
        - card_id
        - content
        - author_id
        - created_at
        - updated_at
      title: CommentResponse
      type: object
    ConclusionEntry:
      description: A single conclusion entry.
      properties:
        author_id:
          title: Author Id
          type: string
        completeness:
          default: 100
          title: Completeness
          type: integer
        completeness_justification:
          default: ''
          title: Completeness Justification
          type: string
        created_at:
          format: date-time
          title: Created At
          type: string
        drift:
          default: 0
          title: Drift
          type: integer
        drift_justification:
          default: ''
          title: Drift Justification
          type: string
        text:
          title: Text
          type: string
      required:
        - text
        - author_id
        - created_at
      title: ConclusionEntry
      type: object
    CardPriority:
      description: Card priority levels.
      enum:
        - critical
        - very_high
        - high
        - medium
        - low
        - none
      title: CardPriority
      type: string
    QAResponse:
      description: Schema for Q&A response.
      properties:
        answer:
          anyOf:
            - type: string
            - type: 'null'
          title: Answer
        answered_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Answered At
        answered_by:
          anyOf:
            - type: string
            - type: 'null'
          title: Answered By
        asked_by:
          title: Asked By
          type: string
        card_id:
          title: Card Id
          type: string
        created_at:
          format: date-time
          title: Created At
          type: string
        id:
          title: Id
          type: string
        question:
          title: Question
          type: string
      required:
        - id
        - card_id
        - question
        - answer
        - asked_by
        - answered_by
        - created_at
        - answered_at
      title: QAResponse
      type: object
    ScreenMockup:
      description: A single screen/view in the mockup set. Contains HTML+Tailwind content.
      properties:
        annotations:
          anyOf:
            - items:
                $ref: '#/components/schemas/MockupAnnotation'
              type: array
            - type: 'null'
          title: Annotations
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        html_content:
          default: ''
          title: Html Content
          type: string
        id:
          title: Id
          type: string
        order:
          default: 0
          title: Order
          type: integer
        screen_type:
          default: page
          title: Screen Type
          type: string
        title:
          title: Title
          type: string
      required:
        - id
        - title
      title: ScreenMockup
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
    ChoiceOption:
      description: A single option in a choice board.
      properties:
        id:
          title: Id
          type: string
        label:
          title: Label
          type: string
      required:
        - id
        - label
      title: ChoiceOption
      type: object
    ChoiceResponse:
      description: A response to a choice board.
      properties:
        free_text:
          anyOf:
            - type: string
            - type: 'null'
          title: Free Text
        responder_id:
          title: Responder Id
          type: string
        responder_name:
          title: Responder Name
          type: string
        selected:
          default: []
          items:
            type: string
          title: Selected
          type: array
      required:
        - responder_id
        - responder_name
      title: ChoiceResponse
      type: object
    MockupAnnotation:
      description: A design note attached to a screen.
      properties:
        author_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Author Id
        id:
          title: Id
          type: string
        text:
          title: Text
          type: string
      required:
        - id
        - text
      title: MockupAnnotation
      type: object
  securitySchemes:
    HTTPBearer:
      scheme: bearer
      type: http

````